package com.xhpc.user.mapper;

import com.xhpc.user.domain.XhpcBlacklist;
import com.xhpc.user.domain.XhpcCustomers;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcBlacklistMapper {

    List<Map<String,Object>> getList(@Param("params")Map<String, Object> params);

    //判断手机号或者车牌是否重复
    int getPhoneOrVin(@Param("phone")String phone,@Param("plateNum")String plateNum,@Param("blacklistId")Long blacklistId,@Param("distinguish")Integer distinguish);


    int getManufacturersOrVehicletype(@Param("manufacturers")String manufacturers,@Param("vehicleType")String vehicleType,@Param("vehicleEngine")String vehicleEngine,@Param("vehicleCode")String vehicleCode,@Param("blacklistId")Long blacklistId,@Param("distinguish")Integer distinguish);

    int insertBlacklist(XhpcBlacklist xhpcBlacklist);

    Map<String, Object> getBlacklistById(@Param("blacklistId")Long blacklistId);

    int updateBlacklist(XhpcBlacklist xhpcBlacklist);

    int deleteBlacklistById(@Param("blacklistId")Long blacklistId);
}
